// tableau contenant les images
var tabImage = new Array();

// nombre de chiffres
var nbChiffre = 5;

// temps en seconde avant l'explosion
var temps;

// l'objet chrono
var timer;

/*********************************************
*
*    charge les images de chiffre et la bombe
*
*    in: 
*       aucun
*
*    out:
*       tabImage est initialis
*
**********************************************/
function load() {
    
    var i ;

    tabImage[0]     = new Image();
    tabImage[0].src = "boom.jpg";

    for(i = 1; i <= nbChiffre; i++) { 
	tabImage[i]     = new Image();
	tabImage[i].src = "chiffre"+i+".jpg";
    }

}

/*********************************************
*
*    affecte l'image source dans l'lment 
*
*    in: 
*       source  : entier, numero de l'image
*
*    out:
*       aucun
*
**********************************************/
function mettreImage(source) {
    // recherche de l'lment
    el = document.getElementById("chiffre");

    // changement de source
    el.src = tabImage[source].src;
}

/*********************************************
*
*    dcompte d'une unit de temps
*
*    in: 
*       implicitement : temps, entier, nombre de secondes avant explosion
*
*    out:
*       aucun
*
**********************************************/
function changeImage() {
    if (temps == 0) {
	// explosion
	clearInterval(timer);

	// fin du timer
	mettreImage(0);
    } else {
	// affiche le chiffre
	mettreImage(temps);

	// dcroit le temps
	temps--;
    }
}

/*********************************************
*
*    affecte les nbImage images aux nbImage lments images
*    de manire alatoire
*
*    in: 
*       aucun
*
*    out:
*       aucun
*
**********************************************/
function decompte() {
    temps = nbChiffre;

    // affiche le premier chiffre
    mettreImage(temps);
    temps--;

    // lance toutes les secondes le changement d'image
    timer = setInterval("changeImage()", 1000);
}

