// tableau contenant les images
var tabImage = new Array();

// numero de l'image  trouver
var imageMystere;

var nbImage = 6;

/*********************************************
*
*    charge les 6 images
*
*    in: 
*       aucun
*
*    out:
*       entier alatoire entre 0 et max-1 compris
*
**********************************************/
function load() {
    var i;
    for(i = 0; i < nbImage; i++) {
	tabImage[ i ]     = new Image();
	tabImage[ i ].src = "cocotier"+i+".jpg";
    }
    
    // le lapin
    tabImage[nbImage]     = new Image();
    tabImage[nbImage].src = "lapin.jpg";

    // le lapin
    tabImage[nbImage + 1]     = new Image();
    tabImage[nbImage + 1].src = "vide.jpg";
}

/*********************************************
*
*    affecte l'image source dans l'lment 
*
*    in: 
*       source  : entier, numero de l'image
*       element : entier, numero de l'lment 
*
*    out:
*       aucun
*
**********************************************/
function mettreImage(source, element) {
    // recherche de l'lment
    el = document.getElementById("img" + element);

    // changement de source
    el.src = tabImage[source].src;
}

/*********************************************
*
*    donne un nombre alartoire de manire quiprobable
*
*    in: 
*       max : entier maximum
*
*    out:
*       entier alatoire entre 0 et max-1 compris
*
**********************************************/
function nombreAleatoire(max) {
    return Math.floor(Math.random() * max);
}

/*********************************************
*
*    affecte les nbImage images aux nbImage lments images
*    de manire alatoire
*
*    in: 
*       aucun
*
*    out:
*       aucun
*
**********************************************/
function disposer() {
    var tmp = new Array();

    for(i = 0; i < nbImage; i++)
	tmp[i] = i;

    for(i = 0; i < nbImage; i++) {
	// indice alatoire
	j = nombreAleatoire(nbImage - i);

	mettreImage(tmp[j], i);

	// swap
	var n                = tmp[j];
	tmp[j]               = tmp[nbImage - 1 - i];
	tmp[nbImage - 1 - i] = n;
    }

    // choix de l'image mystre
    imageMystere = nombreAleatoire(nbImage);
}

/*********************************************
*
*    affiche le lapin
*
*    in: 
*       n : entier, numero de l'image du lapin
*
*    out:
*       aucun
*
**********************************************/
function afficheLapin(n) {
//    alert("lapin");
    mettreImage(nbImage, n);
}

/*********************************************
*
*    affiche le lapin
*
*    in: 
*       n : entier, numero de l'image du lapin
*
*    out:
*       aucun
*
**********************************************/
function afficheLoupe(n) {
//    alert("loupe");
    mettreImage(nbImage + 1, n);
}

/*********************************************
*
*    teste si l'image est la bonne
*
*    in: 
*       n : entier, numero de l'image clique
*
*    out:
*       booleen : true ssi l'image est correcte
*
**********************************************/
function tester(n) {
    if (n == imageMystere)
	afficheLapin(n);
    else
	afficheLoupe(n);
}
